# appconsent_tv

[![pub package](https://img.shields.io/pub/v/appconsent_tv.svg)](https://pub.dev/packages/appconsent_tv)


[<img src="https://sfbx.io/wp-content/uploads/2021/02/Logo-SFBX-Privacy-Matters-2.png" alt=“SFBX” width="50%" height="50%">](https://sfbx.io/)

AppConsent® cmp, the transparency-based consent management platform.

![demo](https://docs.sfbx.io/img/flutter/appconsent-tv/demo.gif)

## Getting Started

Here are several different implementation methods

### First example
First, initialize AppconsentTv with the `setup` method, making sure it is initialized by placing the keyword `await` in front of it.
Then display the CMP when you want.

```dart
import 'package:appconsent_tv/appconsent_tv.dart';

// Configure at launch (appKey:forceApplyGDPR:forceATT)
await AppconsentTv.setup("{APP_KEY}", true, true);

// Display the CMP if needed after setup
AppconsentTv.presentNotice(false);
```

### Second example
Initialize AppconsentTv with the `setup` method then call `AppconsentTv.presentNotice(false)`

```dart
import 'package:appconsent_tv/appconsent_tv.dart';

// Configure at launch (appKey:forceApplyGDPR:forceATT)
AppconsentTv.setup("{APP_KEY}", false, true)
  .then((value) => AppconsentTv.presentNotice(false));
```

## Documentation

Our detailed documentation is accessible at [https://docs.sfbx.io](https://docs.sfbx.io).

